body, html {
    height: 100%;
    margin: 0;
    font-family: Arial, sans-serif;
}

#map {
    height: calc(100vh - 56px);
    width: 100%;
    position: fixed !important;
    top: 0px; /* Hauteur de la navbar */
}

#compass {
    position: absolute;
    bottom: 70px;
    left: 10px;
    width: 150px;
    height: 150px;
    background: rgba(255, 255, 255, 0.5);
    border-radius: 50%;
    text-align: center;
    padding: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#north-indicator {
    position: absolute;
    top: 10px;
    font-size: 20px;
    font-weight: bold;
    color: red;
}

#compass-arrow {
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 50px solid red;
    transform-origin: 50% 100%;
    transition: transform 0.5s ease;
}

#direction-info {
    position: absolute;
    bottom: 228px;
    left: 20px;
    background: rgba(255, 255, 255, 0.5);
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    text-align: center;
    display: none;
}

#direction-info:not(:empty) {
    display: block; /* Afficher seulement s'il y a du contenu */
}

#controls-left {
    position: absolute;
    bottom: 10px;
    left: 10px;
    background: rgba(255, 255, 255, 0.8);
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

#controls-right {
    position: absolute;
    bottom: 10px;
    right: 10px;
    background: rgba(255, 255, 255, 0.8);
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

#messages {
    position: absolute;
    top: 10px;
    right: 10px;
    background: rgba(255, 255, 255, 0.8);
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    display: none;
}

button.active {
    background-color: green;
    color: white;
}

button.inactive {
    background-color: white;
    color: black;
    border: 1px solid black;
}

button.warning {
    background-color: orange;
    color: white;
}

#popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

#popup-content {
    background: white;
    padding: 20px;
    border-radius: 10px;
    text-align: center;
}

#popup button {
    margin: 5px;
}

#popup.hidden {
    display: none !important;
}

.hidden {
    display: none !important;
}

#account-details-popup,
#delete-account-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

#account-details-content,
#delete-account-content {
    background: white;
    padding: 20px;
    border-radius: 8px;
    width: 80%;
    max-width: 500px;
    text-align: center;
}

#account-details-content h2,
#delete-account-content h2 {
    margin-bottom: 20px;
}

#account-details-content button,
#delete-account-content button {
    margin-top: 20px;
}

/* Styles pour le menu burger */
.navbar {
    position: fixed !important;
    top: 0;
    width: 100%;
    z-index: 1000;
}

#app-container {
    padding-top: 56px; /* Hauteur de la navbar */
}

.collapse.navbar-collapse {
    background-color: rgba(255, 255, 255, 0.9);
}

.nav-item .nav-link {
    color: #000;
}

.nav-item .nav-link.text-danger {
    color: #dc3545;
}

.navbar-toggler {
    border-color: rgba(0, 0, 0, 0.1);
}
